Skip to documentation
DocumentationAPI referenceEnable or disable a member
POSTBearer token

Enable or disable a member

/api/v1/group/member

Change another member's access to the organization.

Before you call

Disabling revokes that member's organization tokens immediately. Remove machine passwords and SSH keys separately. You cannot disable yourself or the master.

Request example

cURL
curl "https://tovahub.com/api/v1/group/member" -X POST \
  -H "Authorization: Bearer $TOVAHUB_TOKEN" \
  -H "Content-Type: application/json" \
  --data '{
  "userId": "507f1f77bcf86cd799439013",
  "enabled": true,
  "confirm": true
}'

Examples only. No requests are sent from this page.

Illustrative response
JSON
{
  "ok": true
}

Parameters

userIdJSON body · Required

string

Member user ID (24 hexadecimal characters).

enabledJSON body · Required

boolean

The new enabled state.

confirmJSON body · Required

true

Explicit confirmation is required.

Response

HTTP status 200

Enable or disable the selected other organization member.

okboolean (true)

The membership change was accepted.